{
  "description": "개발PC에서 실행함. 웍스테이션 에이전트(bd-test-cubrid)와 연결. 웍스테이션 oracle 에서 TTO_BD 테이블을 조회하여 bd-test-cubrid 에이전트에게 전달함",
  "myHostId": "bd-test-oracle",
  "myListenPort": 17801,
  "knownAgentList": [
    {
      "hostId": "bd-test-cubrid",
      "hostName": "mkami.foxsoft.kr",
      "listenPort": 17801,
      "dropBoxIdList": [
        "drop-tto-db"
      ]
    }
  ],
  "statusChecker": {
    "cron": "0/5 * * * * *"
  },
  "dataSourceConfig": [
    {
      "dataSourceId": "ds-oracle",
      "driverClassName": "oracle.jdbc.driver.OracleDriver",
      "url": "jdbc:oracle:thin:@mkami.foxsoft.kr:1521:xe",
      "username": "ami",
      "password": "fox12#$%",
      "maximumRowForTransaction": 1000
    }
  ],
  "sqlMapperLocations": [
    "D:/projects/bsm-lab/dfx/dfxagent/src/docs/mapper-examples/**/*.xml"
  ],
  "logging": {
    "logDirectory": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/logs",
    "logFileName": "dfxagent.log",
    "logName": "DFX_LOG",
    "maxHistory": 30,
    "logPattern": "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n",
    "rootLogLevel": "DEBUG",
    "packages": [
      {
        "com.bsmlab.dfx.agent": "DEBUG",
        "jdbc.sqlonly": "DEBUG",
        "org.springframework": "INFO"
      }
    ]
  },
  "dropBoxConfig": {
    "receivedMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/messages/received",
    "processedMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/messages/processed",
    "failureMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/messages/failure",
    "threadPoolSize": 300,
    "retentionDaysOfProcessedMessage": 60,
    "dropBoxList": [
    ]
  },
  "postmanConfig": {
    "threadPoolSize": 30,
    "postmanList": [
      {
        "postmanId": "postman-oracle-tto-bd-10",
        "taskType": "DB_READ_THEN_SEND",
        "action": {
          "type": "SCHEDULED",
          "cron": "0 0/1 * * * *"
        },
        "message": {
          "messageType": "TRANSFER_DB_TO_DB",
          "dataSourceId": "ds-oracle",
          "sqlId": "address.postman.oracle.ttoBd.selectTtoBd10",
          "postProcessingSqlId": "address.postman.oracle.ttoBd.updateTtoBd10TransferDone"
        },
        "recipientHostId": "bd-test-cubrid",
        "recipientDropBoxId": "db-bd-cubrid-save",
        "routingHostIdList": [
          "bd-test-oracle",
          "bd-test-cubrid"
        ]
      }
    ]
  }
}